Get list of users

GET
https://example.flowfast.io/api/latest/company/users

Get Company Users list filtered by query parameters. To use this route you need access to the Administrative section "Members"

Query
NameTypeConstraintsDescription
invitesOnlybooleanFilter to return only invites
withTransferAccessStatusbooleanData about the user rights transfer process is added
for_members_sectionbooleanWhen this flag is enabled, users for the "Members" administrative section are returned and result of the request is displayed page by page (See limit and offset params).
owner_onlybooleanWhen this flag is enabled the company owner is returned
only_paidbooleanOnly users with paid access are returned
only_records_countbooleanOnly the number of users is returned. Works only with the for_members_section or only_virtual parameters
only_virtualbooleanOnly virtual users are returned and result of the request is displayed page by page (See limit and offset params).
offsetintegerNumber of records to skip. Works only with the for_members_section or only_virtual parameters
limitintegerDefault: 100Maximum amount of users in response. Works only with the for_members_section or only_virtual parameters
querystringFilter by email and full_name. Works only with for_members_section parameter
access_type_permissionsstringFilter by access to Kaiten. Works only with for_members_section parameter
sd_access_typestringFilter by access to Service Desk. Works only with for_members_section parameter
take_licencestringFilter by users consuming the license. Works only with for_members_section parameter
temporarily_inactive_statusstringFilter by temporarily inactive users. Works only with for_members_section parameter
group_idsarrayFilter by group ids. Works only with for_members_section parameter
permissionsarrayFilter by access granted to users. Works only with for_members_section parameter
Responses

200
DescriptionResponse typeExample
SuccessArray of object
Open
Response Attributes
NameTypeDescription
id

integer

Id
uid

string

Uid
full_name

string

User full name
email

string

User email
avatar_initials_url

string

Default user avatar url
avatar_uploaded_url

string | null

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

enum

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

enum

1 - old ui. 2 - new ui
virtual

boolean

Is user virtual
email_blocked

null | string

Email blocked timestamp
email_blocked_reason

null | string

Email blocked reason
delete_requested_at

null | string

Timestamp of delete request
permissions

integer

User company permissions(with inherited permissions through groups)
own_permissions

integer

User personal company permissions
user_id

integer

User id
company_id

integer

Company id
default_space_id

null | integer

Default space
role

enum

User role in company: 1 - owner, 2 - user, 3 - deactivated
email_frequency

enum

1 - never, 2 – instantly
email_settings

object

Schema
Email settings
slack_id

null || integer

User slack id
slack_settings

null || object

Slack settings
notification_settings

object

Schema
Notification settings
notification_enabled_channels

array

List of enabled channels for notifications
slack_private_channel_id

null | integer

User slack private channel id
telegram_sd_bot_enabled

boolean

Telegram bot enable flag
apps_permissions

string

0 - no access, 1 - full access to FlowFast, access to service desk denied. 2 - guest access to FlowFast, access to service desk denied. 4 - access only to service desk. 5 - full access to FlowFast and service desk. 6 - guest access to FlowFast, access to service desk
invite_last_sent_at

string

Last invite date
external

boolean

Is user external
last_request_date

null | string

Date of last request
last_request_method

null | string

Type of last request
work_time_settings

object

Schema
Work time settings
personal_settings

object

Schema
Personal settings
locked

boolean

Is user locked for update
take_licence

boolean

Flag indicating whether the user holds the company's license
spaces

array of objects

Schema
Spaces where the user is invited
groups

object

Schema
User groups
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io
  1  curl --request GET \
  2       --url 'https://example.flowfast.io/api/latest/company/users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!